<script setup lang="ts">
import { onMounted, ref } from 'vue'
import { useRoute } from 'vue-router'
import MsnApiV1 from '@/api/msnApi'

interface SubscriberData {
  id: number
}

const route = useRoute()
const subscriberData = ref<SubscriberData>({ id: 0 })

// Function to fetch subscriber details
async function getSubscriber() {
  const msnApi = new MsnApiV1()
  try {
    const responseSubscriber = await msnApi.getSubscriberByID(route.params.id)

    subscriberData.value = responseSubscriber.data.data
    console.log('getSubscriber this.subscriberData: ', subscriberData.value)
  }
  catch (error) {
    console.error('error getSubscriberById:', error)
  }
}

onMounted(getSubscriber)
</script>

<template>
  <SettingsTemplate>
    <SubscriberFormTemplateAdmin :subscriber-data="subscriberData" />
  </SettingsTemplate>
</template>
